Bug 783007 - Un-deprecate previously deprecated methods in JSS 4.2.6 . . .
Summary: Un-deprecate previously deprecated methods in JSS 4.2.6 . . .
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jss
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Harmsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 797352 797353
TreeView+ depends on / blocked
 
Reported: 2012-01-19 03:41 UTC by Matthew Harmsen
Modified: 2012-04-12 02:44 UTC (History)
11 users (show)

Fixed In Version: jss-4.2.6-24.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 797352 797353 (view as bug list)
Environment:
Last Closed: 2012-04-11 03:49:52 UTC
Type: ---


Attachments (Terms of Use)
Removal of JCA Deprecations from JSS (9.48 KB, patch)
2012-03-21 21:26 UTC, Matthew Harmsen
jmagne: review+
Details | Diff
Removal of BadPaddingException Class Deprecation from JSS (679 bytes, patch)
2012-03-31 00:26 UTC, Matthew Harmsen
jmagne: review+
Details | Diff

Description Matthew Harmsen 2012-01-19 03:41:28 UTC
Previous maintainers of JSS made an effort to replace JSS calls to specific NSS functions with calls to the JCA interface.

As a part of this effort, they deprecated a number of JSS calls that have always been used by Dogtag Certificate System (one of the main consumers of JSS).

These deprecated calls have shown up as warnings in Eclipse during the re-factoring effort taking place for the Dogtag project.

Since the previous maintainers of JSS are no longer involved, this JCA effort has been abandoned, and on the advice of the NSS maintainers, we will work with the new maintainers to un-deprecate the previously deprecated NSS calls on the TIP.

In the meantime, however, as it may be a while before Dogtag (as well as other Fedora products) move from JSS 4.2.6 --> JSS 4.3.3, this bug serves as a reminder that we need to un-deprecate these methods as a part of the next patch made to JSS 4.2.6.

Comment 1 Matthew Harmsen 2012-03-17 02:47:53 UTC
Un-deprecate NSS classes that were originally deprecated in favor of JCA:

    ./jss-4.2.6/mozilla/security/jss/org/mozilla/jss/tests/SigTest.java

        ./jss-4.2.6/mozilla/security/jss/org/mozilla/jss/tests/all.pl (Add back the following test:)
            $testname = "Mozilla-JSS NSS Signature ";
            $command = "$java -cp $jss_classpath org.mozilla.jss.tests.SigTest $testdir $pwfile";
            run_test($testname, $command);

    ./jss-4.2.6/mozilla/security/jss/org/mozilla/jss/crypto/KeyPairGenerator.java

    ./jss-4.2.6/mozilla/security/jss/org/mozilla/jss/crypto/JSSMessageDigest.java (CURRENTLY UNUSED?)

    ./jss-4.2.6/mozilla/security/jss/org/mozilla/jss/crypto/Signature.java

    ./jss-4.2.6/mozilla/security/jss/org/mozilla/jss/crypto/JSSSecureRandom.java (CURRENTLY UNUSED?)

    ./jss-4.2.6/mozilla/security/jss/org/mozilla/jss/crypto/KeyGenerator.java

    ./jss-4.2.6/mozilla/security/jss/org/mozilla/jss/crypto/KeyWrapper.java

    ./jss-4.2.6/mozilla/security/jss/org/mozilla/jss/crypto/Cipher.java





Un-deprecate NSS methods that were originally deprecated in favor of JCA:

    ./jss-4.2.6/mozilla/security/jss/org/mozilla/jss/crypto/CryptoToken.java
        public abstract org.mozilla.jss.crypto.Signature getSignatureContext(SignatureAlgorithm algorithm)
        throws java.security.NoSuchAlgorithmException, TokenException;

        public abstract JSSMessageDigest getDigestContext(DigestAlgorithm algorithm)
        throws java.security.NoSuchAlgorithmException, DigestException;

        public abstract Cipher getCipherContext(EncryptionAlgorithm algorithm)
        throws java.security.NoSuchAlgorithmException, TokenException;

        public abstract KeyWrapper getKeyWrapper(KeyWrapAlgorithm algorithm)
        throws java.security.NoSuchAlgorithmException, TokenException;

        public abstract KeyGenerator getKeyGenerator(KeyGenAlgorithm algorithm)
        throws java.security.NoSuchAlgorithmException, TokenException;

        public SymmetricKey cloneKey(SymmetricKey key)
        throws SymmetricKey.NotExtractableException, InvalidKeyException, TokenException;

        public abstract KeyPairGenerator getKeyPairGenerator(KeyPairAlgorithm algorithm)
        throws java.security.NoSuchAlgorithmException, TokenException;

Comment 2 Matthew Harmsen 2012-03-19 22:06:15 UTC
This patch will include changes agreed to in Dogtag TRAC Ticket #109 (https://fedorahosted.org/pki/ticket/109).

Comment 3 Matthew Harmsen 2012-03-21 21:26:51 UTC
Created attachment 571869 [details]
Removal of JCA Deprecations from JSS

Comment 4 Matthew Harmsen 2012-03-30 22:30:39 UTC
Previously, in 'Bugzilla Bug #804257 - Replace deprecated JSS method/class calls in PKI 'master' GIT repo . . .', it had been suggested to replace calls to 'BadPaddingException' with 'javax.crypto.BadPaddingException'.

After further investigation, it appears that 'javax.crypto.BadPaddingException' is related to JCA, and subsequently, we have determined that this JSS class should be un-deprecated as well.

Comment 5 Matthew Harmsen 2012-03-31 00:26:54 UTC
Created attachment 574107 [details]
Removal of BadPaddingException Class Deprecation from JSS

Comment 6 Fedora Update System 2012-03-31 01:51:26 UTC
jss-4.2.6-24.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/jss-4.2.6-24.fc15

Comment 7 Fedora Update System 2012-03-31 02:05:14 UTC
jss-4.2.6-24.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/jss-4.2.6-24.fc16

Comment 8 Fedora Update System 2012-03-31 02:17:45 UTC
jss-4.2.6-24.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jss-4.2.6-24.fc17

Comment 9 Fedora Update System 2012-03-31 18:47:43 UTC
Package jss-4.2.6-24.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jss-4.2.6-24.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5114/jss-4.2.6-24.fc17
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2012-04-11 03:49:52 UTC
jss-4.2.6-24.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-04-11 04:02:03 UTC
jss-4.2.6-24.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-04-11 16:59:23 UTC
jss-4.2.6-24.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2012-04-11 17:05:58 UTC
jss-4.2.6-24.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2012-04-12 02:44:35 UTC
jss-4.2.6-24.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.